#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <pigpiod_if2.h>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_actionQuit_triggered();
    void greenLEDActivate();
    void redLEDActivate();

private:
    Ui::MainWindow *ui;
    bool greenLEDState;
    bool redLEDState;
    unsigned int GREEN_LED=18;
    unsigned int RED_LED = 17;
    const int OFF = 0;
    const int ON = 1;
    int retCode,pi;
    int initLEDs();

};

#endif // MAINWINDOW_H
